FruxonDocs
ApiIntegration config sandbox

Update a simulated entity's payload.

Replaces the payload of an existing simulated entity. The entity's type, id, and scope are immutable; create+delete to change them. Returns the updated entity.

PATCH
/v1/tenants/{tenant}/integrations/{integration}/configs/{config}/sandbox/entities/{entity}
AuthorizationBearer <token>

JWT Authorization header using the Bearer scheme. Enter 'Bearer' [space] and then your token.

In: header

Path Parameters

config*string

The integration config id whose sandbox to write to.

Formatuuid
entity*string

The simulated entity id to update.

Formatuuid
tenant*string

The tenant identifier

integration*string

The integration identifier

The new payload.

payload*string|null
[key: string]?never

Response Body

curl -X PATCH "https://api.fruxon.com/v1/tenants/string/integrations/string/configs/497f6eca-6276-4993-bfeb-53cbbbba6f08/sandbox/entities/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "payload": "string"  }'
{
  "id": "00000000-0000-0000-0000-000000000000",
  "entityType": "string",
  "scope": "string",
  "entityId": "string",
  "payload": "string",
  "tombstoned": false,
  "createdAt": 0,
  "modifiedAt": 0
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}
Empty
Empty
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}